Contenu | Rechercher | Menus

Annonce

La nouvelle clé USB Ubuntu-fr est en prévente
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 12/06/2019, à 13:50

DRbuntu91

[Resolu] Comment installer la dernière version de OpenSCAD?

Bonjour
J'ai actuellement la version 2015.03-2  de OpenSCAD que j'ai installé depuis les dépôts (et que j'utilise depuis plusieurs mois avec satisfaction)

Mais dernièrement j'ai téléchargé un fichier SCAD qui exige la version OpenSCAD 2018.1.6 qu'on peut voir ici: http://www.openscad.org/downloads.html#snapshots

J'ai essayé ce qui est suggéré, cad.

$sudo add-apt-repository ppa:openscad/releases
$sudo apt-get update
$sudo apt-get install openscad

Mais ça dit que ma version est déjà a jour!

J'ai également essayer de supprimer OpenSCAD puis de la ré-installer, mais ça m'installe toujours la version des dépôts (cad. 2015.03-2)

Quelqu'un saurait me guider pour installer la version 2018.1.6 de OpenSCAD?

Merci d'avance pour votre aide


PS: je suis en Ubuntu 16.04 (et pour le moment je ne souhaite pas passer en 18.04)
PS: j'ai vu que OpenSCAD a aussi une version AppImage mais j'aurai préféré rester en version DEB

Dernière modification par DRbuntu91 (Le 12/06/2019, à 20:39)


Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#2 Le 12/06/2019, à 14:28

nany

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Bonjour,


Pour DEB avec Ubuntu 16.04 :

wget -qO - https://files.openscad.org/OBS-Repository-Key.pub | sudo apt-key add -
echo "deb https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04/ ./" | sudo tee /etc/apt/sources.list.d/openscad.list
sudo apt update
sudo apt install -y openscad-nightly
http://www.openscad.org/downloads.html a écrit :

Linux - Distribution Packages

The packages are automatically built based on the master branch on github.

Note: The packages are called "openscad-nightly" so it's possible to install the development snapshot packages in parallel to the release version from the official repositories.


Le mot de passe sudo ne s'affiche pas
Comment bien utiliser les balises BBcode
LIBRARIES ARE NOT BOOK-STORES! − Une souris, des souris. Un souci, des soucis. Une énigme résolue, un problème résolu.
J’ai forké le compteur-couche-tard.

Hors ligne

#3 Le 12/06/2019, à 14:37

michel_04

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Bonjour,


Ton lien  2018.1.6 pointe vers "Instantanés de développement".
Si tu veux installer une version en développement, il y a une liste de dépôts en fonction de la version de l'OS utilisé.
Exemple :

OpenSCAD - Development Snapshots a écrit :

Ubuntu 16.04

                                deb https://download.opensuse.org/repositor … ntu_16.04/ ./


A+


:D
Comment Poser Les Questions De Manière Intelligente
[url=[modéré : pas d’auto-pub, merci]]l'Almanet doLys de nam1962 et ses amis[/url] - Forum Ubuntu-fr - Documentation Ubuntu

Hors ligne

#4 Le 12/06/2019, à 14:45

kamaris

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Sinon si tu veux séparer ça de ton système et ne pas toucher à tes dépôts tu peux l'installer en snap aussi : https://snapcraft.io/openscad-nightly

Hors ligne

#5 Le 12/06/2019, à 16:41

DRbuntu91

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Bonjour a tous et merci pour toutes vos réponses

michel_04 a écrit :

Ton lien  2018.1.6 pointe vers "Instantanés de développement".

Je suppose que ta remarque fait référence au commentaire de nany

nany a écrit :

echo "deb https://download.opensuse.org/repositor … ntu_16.04/ ./" | sudo tee /etc/apt/sources.list.d/openscad.list

Il n'y a pas de version stable que je puisse installer?
Et pourquoi faut-il télécharger une version venant de opensuse?
Juste que je comprenne, la fichier que j'ai s’appelle openscad-ubuntu-releases-xenial.list. C'est celui que je modifie?
Puis voici le contenu du fichier

deb http://ppa.launchpad.net/openscad/releases/ubuntu xenial main
# deb-src http://ppa.launchpad.net/openscad/releases/ubuntu xenial main

Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#6 Le 12/06/2019, à 16:54

michel_04

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Re,


DRbuntu91 a écrit :
michel_04 a écrit :

Ton lien  2018.1.6 pointe vers "Instantanés de développement".

Je suppose que ta remarque fait référence au commentaire de nany

Ben non.
J'ai vu son message après avoir posté le mien.
Elle a posté pendant que je visitais la page que tu as donné en lien.


A+


:D
Comment Poser Les Questions De Manière Intelligente
[url=[modéré : pas d’auto-pub, merci]]l'Almanet doLys de nam1962 et ses amis[/url] - Forum Ubuntu-fr - Documentation Ubuntu

Hors ligne

#7 Le 12/06/2019, à 17:23

DRbuntu91

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

@michel_04: tu as raison - c'est cette page que je voulait mentionner http://www.openscad.org/downloads.html
Désolé pour la confusion.


Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#8 Le 12/06/2019, à 18:23

kamaris

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Ton ppa ne sert à rien, il propose les mêmes versions que dans les dépôts officiels, tu peux le virer :

sudo rm /etc/apt/sources.list.d/openscad-ubuntu-releases-xenial.list

Sinon la version AppImage je sais pas trop quelle version c'est, et il y a une version flatpak mais c'est 2015.03-3.

Donc pour avoir une version stable supérieure ou égale 2018.1.6, il faudrait apparemment que tu passes à Ubuntu 19.04, si bien qu'il ne te reste plus que la solution proposée par @nany en #2, ou bien le snap comme je disais en #4. Mais fais plutôt ce que te dis @nany si tu ne maitrises pas bien, car le snap risque de t'ajouter de la complexité avec la gestion des autorisations.

Hors ligne

#9 Le 12/06/2019, à 18:47

DRbuntu91

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Bonjour,

J'ai donc suivi les conseils de nany.
La première commande m'a crée un nouveau fichier openscad.list avec ce contenu

deb https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04/ ./

Puis la commande suivante donne ceci:

CLEVO:~$ sudo apt update                                                                                                  
Atteint :8 http://ppa.launchpad.net/openscad/releases/ubuntu xenial InRelease                                                                                                            
Ign :13 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ InRelease                                                                                                                                                                                        
Réception de :15 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ Release [987 B]                                                                                
Réception de :16 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ Release.gpg [481 B]                                                                            
Réception de :17 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ Packages [1 191 B]  

Mais ensuite ça coince:

xwop@CLEVO:~$ sudo apt install -y openscad-nightly
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Paquets suggérés :
  meshlab geomview librecad
Les NOUVEAUX paquets suivants seront installés :
  openscad-nightly
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 3 960 ko dans les archives.
Après cette opération, 12,1 Mo d'espace disque supplémentaires seront utilisés.
Err :1 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ openscad-nightly 20190609T155601.git89f5079b2+3090.1
  Protocol "http" not supported or disabled in libcurl
E: Impossible de récupérer https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04/./amd64/openscad-nightly_20190609T155601.git89f5079b2+3090.1_amd64.deb  Protocol "http" not supported or disabled in libcurl

E: Impossible de récupérer certaines archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

Quelqu'un a une idée comment corriger cette erreur?

Merci d'avance pour votre aide


Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#10 Le 12/06/2019, à 19:00

nany

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Alors, comme l’a suggéré kamaris :

sudo rm -v /etc/apt/sources.list.d/openscad-ubuntu*

Puis commencer par ce qui est suggéré :

sudo apt-get update
sudo apt-get install -fy

Le mot de passe sudo ne s'affiche pas
Comment bien utiliser les balises BBcode
LIBRARIES ARE NOT BOOK-STORES! − Une souris, des souris. Un souci, des soucis. Une énigme résolue, un problème résolu.
J’ai forké le compteur-couche-tard.

Hors ligne

#11 Le 12/06/2019, à 19:19

DRbuntu91

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

@nany
Tout d'abord un grand merci pour ton aide

Malheureusement j'ai toujours la même erreur

xwop@CLEVO:~$ sudo apt-get update
Ign :19 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ InRelease
Atteint :21 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ Release 

Puis

xwop@CLEVO:~$ sudo apt install -fy openscad-nightly
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Paquets suggérés :
  meshlab geomview librecad
Les NOUVEAUX paquets suivants seront installés :
  openscad-nightly
0 mis à jour, 1 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de prendre 3 960 ko dans les archives.
Après cette opération, 12,1 Mo d'espace disque supplémentaires seront utilisés.
Err :1 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ openscad-nightly 20190609T155601.git89f5079b2+3090.1
  Protocol "http" not supported or disabled in libcurl
E: Impossible de récupérer https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04/./amd64/openscad-nightly_20190609T155601.git89f5079b2+3090.1_amd64.deb  Protocol "http" not supported or disabled in libcurl

E: Impossible de récupérer certaines archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

L'erreur "Protocol "http" not supported or disabled in libcurl" me fait penser que quelque part j'ai un pb. d'environnement avec libcurl

D'ailleurs ce qui est bizarre c'est si je mets l'url ci-dessous dans FF il va télécharger a partir de "http://downloadcontent.opensuse.org" (et donc j'ai le .deb)!
"https://download.opensuse.org/repositor … _amd64.deb"

Une piste?

Dernière modification par DRbuntu91 (Le 12/06/2019, à 19:20)


Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#12 Le 12/06/2019, à 19:32

nany

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

DRbuntu91 a écrit :
 ou essayer avec --fix-missing ?

Alors essaie ça :

sudo apt-get install --fix-missing -y

Le mot de passe sudo ne s'affiche pas
Comment bien utiliser les balises BBcode
LIBRARIES ARE NOT BOOK-STORES! − Une souris, des souris. Un souci, des soucis. Une énigme résolue, un problème résolu.
J’ai forké le compteur-couche-tard.

Hors ligne

#13 Le 12/06/2019, à 19:56

DRbuntu91

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Toujours la meme erreur

CLEVO:~$ sudo apt-get install --fix-missing -y openscad-nightly
[sudo] Mot de passe de xwop : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Paquets suggérés :
  meshlab geomview librecad
Les NOUVEAUX paquets suivants seront installés :
  openscad-nightly
0 mis à jour, 1 nouvellement installés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de prendre 3 960 ko dans les archives.
Après cette opération, 12,1 Mo d'espace disque supplémentaires seront utilisés.
Err :1 https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04 ./ openscad-nightly 20190609T155601.git89f5079b2+3090.1
  Protocol "http" not supported or disabled in libcurl
E: Impossible de récupérer https://download.opensuse.org/repositories/home:/t-paul/xUbuntu_16.04/./amd64/openscad-nightly_20190609T155601.git89f5079b2+3090.1_amd64.deb  Protocol "http" not supported or disabled in libcurl

E: Internal Error, ordering was unable to handle the media swap

Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#14 Le 12/06/2019, à 20:22

nany

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Bon alors essayons ça :

sudo apt-get clean
sudo rm -fRv /var/lib/apt/lists/*
sudo apt-get update
sudo apt-get install -y openscad-nightly

Le mot de passe sudo ne s'affiche pas
Comment bien utiliser les balises BBcode
LIBRARIES ARE NOT BOOK-STORES! − Une souris, des souris. Un souci, des soucis. Une énigme résolue, un problème résolu.
J’ai forké le compteur-couche-tard.

Hors ligne

#15 Le 12/06/2019, à 20:39

DRbuntu91

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Bonjour nany et merci encore pour ton aide

Comme j'avais pu télécharger le .DEB, je l'avais installé en cliquant dessus (et je suis déjà en train de l'utiliser)

Du coup a la fin j'obtiens ceci

xwop@CLEVO:~$ sudo apt-get install -y openscad-nightly
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
openscad-nightly est déjà la version la plus récente (20190609T155601.git89f5079b2+3090.1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.

Je vais donc mettre "résolu" même si je pense que le pb. persiste. Si lors d'une prochaine mise a jour j'ai a nouveau ce pb. je créerai un nouveau fil

Merci encore


Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#16 Le 12/06/2019, à 21:56

kamaris

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

@DRbuntu91 : comme dit ici, il s'agit d'une redirection https vers http que ton système ne doit pas aimer (chez moi ça marche tel quel, mais je suis en 19.04). Tu peux essayer d'éditer ton fichier de ppa /etc/apt/sources.list.d/openscad.list en remplaçant « https://download.opensuse.org » par « http://downloadcontent.opensuse.org ». Ça pourrait arranger les choses.

Hors ligne

#17 Le 12/06/2019, à 23:03

DRbuntu91

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Merci kamaris
J'ai fait la modif. puis j'essaierai de faire une mise a jour demain (je suppose qu'il faut attendre un nouveau "nightly build")
Pour le moment je me familiarise avec cette nouvelle version de OpenSCAD!
Merci encore


Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#18 Le 12/06/2019, à 23:19

kamaris

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

De rien smile
Si tu veux tu peux tester tout de suite en forçant une réinstallation du paquet :

sudo apt update
sudo apt install --reinstall openscad-nightly

Dernière modification par kamaris (Le 12/06/2019, à 23:20)

Hors ligne

#19 Le 13/06/2019, à 00:15

DRbuntu91

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

Ça a marché!!!!
Bravo et encore merci
PS: donc en conclusion on a l'impression que libcurl se comporte pas de la même façon en 16.04 et 19.04 (en tout cas pour le site https://download.opensuse.org)


Portable CLEVO W550SU, Intel i5-4200M, RAM=8Go, DD=500Go SSD, BIOS 4.6.5 AMI, Ubuntu 16.04 LTS a jour
Puis pour bidouiller un vieux portable Dell Precision M4600 avec W10 + XUB1604 + XUB1804
Utilisateur Ubuntu depuis Janvier 2017

Hors ligne

#20 Le 13/06/2019, à 00:48

kamaris

Re : [Resolu] Comment installer la dernière version de OpenSCAD?

cool
Pour curl, il se peut que ce soit l'option -L qui soit ajoutée dans mon cas et pas dans le tien, car curl ne suit pas les redirections https vers http par défaut : https://curl.haxx.se/docs/faq.html#How_ … follow_HTT
À moins que ça ne soit totalement autre chose, je ne sais pas trop en fait neutral

Hors ligne